jwe_t Struct Reference
JWK, JWKS, JWS, JWE type

`#include <rhonabwy.h>`

## Data Fields

unsigned char * | header_b64url
unsigned char * | encrypted_key_b64url
unsigned char * | aad_b64url
unsigned char * | iv_b64url
unsigned char * | ciphertext_b64url
unsigned char * | auth_tag_b64url
json_t * | j_header
json_t * | j_unprotected_header
jwa_alg | alg
jwa_enc | enc
jwks_t * | jwks_privkey
jwks_t * | jwks_pubkey
unsigned char * | aad
size_t | aad_len
unsigned char * | key
size_t | key_len
unsigned char * | iv
size_t | iv_len
unsigned char * | payload
size_t | payload_len
json_t * | j_json_serialization
int | token_mode

## Field Documentation

## header_b64url

unsigned char* jwe_t::header_b64url

## encrypted_key_b64url

unsigned char* jwe_t::encrypted_key_b64url

## aad_b64url

unsigned char* jwe_t::aad_b64url

## iv_b64url

unsigned char* jwe_t::iv_b64url

## ciphertext_b64url

unsigned char* jwe_t::ciphertext_b64url

## auth_tag_b64url

unsigned char* jwe_t::auth_tag_b64url

## j_header

json_t* jwe_t::j_header

## j_unprotected_header

json_t* jwe_t::j_unprotected_header

## alg

jwa_alg jwe_t::alg

## enc

jwa_enc jwe_t::enc

## jwks_privkey

jwks_t* jwe_t::jwks_privkey

## jwks_pubkey

jwks_t* jwe_t::jwks_pubkey

## aad

unsigned char* jwe_t::aad

## aad_len

size_t jwe_t::aad_len

## key

unsigned char* jwe_t::key

## key_len

size_t jwe_t::key_len

## iv

unsigned char* jwe_t::iv

## iv_len

size_t jwe_t::iv_len

## payload

unsigned char* jwe_t::payload

## payload_len

size_t jwe_t::payload_len

## j_json_serialization

json_t* jwe_t::j_json_serialization

## token_mode

int jwe_t::token_mode

The documentation for this struct was generated from the following file:

- include/rhonabwy.h